package org.example;

// Setup:
// $ docker pull rabbitmq:3.13.7-management
// $ docker run -d --hostname my-rabbit --name some-rabbit -p 5672:5672 -p 15672:15672 -p 5552:5552 rabbitmq:3.13.7-management
// $ docker exec some-rabbit rabbitmq-plugins enable rabbitmq_stream
// $ docker exec some-rabbit rabbitmq-streams add_super_stream --partitions 1 test_super_stream
public class Main {
  public static void main(String[] args) {
    StreamToQueueRelay relay = new StreamToQueueRelay();
    try {
      relay.start();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}
